@import "@/assets/scss/global";

.box-user-info{
    
    .user-info-wrapper{
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        padding: 4px;
        gap: 8px;
    
        width: auto;
        height: 49px;
    
        flex: none;
        order: 3;
        flex-grow: 0;
    
        cursor: pointer;
        position: relative;
        z-index: 100;
    
        .img-wrap{
            height: 40px;
            width: 40px;
    
            img{
                height: 100%;
                width: 100%;
                object-fit: cover;
                object-position: center;
                border-radius: 50%;
            }
        }
    
        .info-wrap{
            display: flex;
            flex-direction: column;
    
            .user-name{
                max-width: 145px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;
        
                color: #202226;
        
                flex: none;
                order: 0;
                flex-grow: 0;
            }
        
            .user-role{
                font-weight: 500;
                font-size: 13px;
                line-height: 17px;
        
                text-transform: capitalize;
                color: #757688;
        
                flex: none;
                order: 1;
                flex-grow: 0;
            }
        }
    
        .icon-action{
            position: relative;
            top: 4px;
            right: 4px;
        }
    
    }

    .dropdown-user-info-wrapper {
        position: absolute;
        top: 72px;
        right: 0;
        background: #FFFFFF;
        box-shadow: 20px 20px 60px rgba(0, 0, 0, 0.1);
        border-radius: 12px;

        width: 352px;

        display: flex;
        flex-direction: column;
        align-items: flex-end;
        padding: 20px;
        gap: 12px;
        // animation: slideRightOpen .4s;

        .dropdown-user {
            position: relative;
            padding: 0;
            box-shadow: none;
            display: flex;
            flex-direction: row;    
            align-items: flex-start;
            gap: 12px;

            border-radius: 8px;
            top: 0;
            width: 100%;
            
    
            .main-menu {
                width: 100%;
                height: 100%;
                display: flex;
                justify-content: flex-start;
                flex-direction: column;
                row-gap: 12px;
            }
    
            .avatar {
                position: relative;
                width: 80px;
                height: 80px;
                object-fit: contain;

                &.error{
                    img{
                        border: 2px solid #EF4E2B;
                    }
                }
                .wrapper-img{
                    height: 80px;
                    width: 80px;
                    position: relative;
                }
                .tooltip-error{
                    position: absolute;
                    top: -10px;
                    left: -310px;
                    height: 104px;
                    width: 297px;
                    background: #FF7B53;
                    border-radius: 4px;
                    padding: 16px;

                    span{
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 24px;
                        color: #FFFFFF;
                    }
                    b{
                        font-weight: 700;
                    }

                    &::before{
                        content: '';
                        position: absolute;
                        border-left: 10px solid #FF7B53;
                        border-bottom: 10px solid transparent;
                        border-top: 10px solid transparent;
                        right: -10px;
                        top: 50%;
                        transform: translateY(-50%);
                    }
                }
                
                .camera {
                    position: absolute;
                    background: $primary-color;
                    bottom: 0;
                    right: 0;
                    padding: 4px;
                    background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
                    box-shadow: 4px 4px 10px rgba(248, 76, 38, 0.21);
                    border-radius: 16px;
                    width: 24px;
                    height: 24px;
                    cursor: pointer;
    
                    @include largeScreen{
                        bottom: 0;
                    }
                }
    
                input {
                    width: 100%;
                    height: 100%;
                    display: none;
                }
            }
    
            .user-group {
                display: flex;
                flex-direction: column;
                background: #F2F2F2;
                border-radius: 8px;
                padding: 8px;
                gap: 20px;
    
                @include largeScreen {
                    flex-direction: row;
                }
                
                img {
                    width: 80px;
                    height: 80px;
                    object-fit: cover;
                    object-position: center;
                    border-radius: 50%;
                    cursor: pointer;
                    border: 2px solid transparent;

                }
    
                .user-info {
                    max-width: 192px;
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;
                    padding: 0px;
                    gap: 8px;
                    flex: none;
                    order: 1;
                    flex-grow: 0;
    
                    .username {
                        max-width: 192px;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        font-weight: 600;
                        font-size: 16px;
                        line-height: 24px;

                        text-align: right;
                        color: #202226;

                        flex: none;
                        order: 0;
                        flex-grow: 0;
                    }
    
                    .user-role {
                        max-width: 192px;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 17px;

                        text-align: right;
                        text-transform: capitalize;

                        color: #757688;
                        flex: none;
                        order: 1;
                        flex-grow: 0;
                    }
    
                    .email, .numberphone {
                        max-width: 192px;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 17px;

                        color: #202226;
                        flex: none;
                        order: 1;
                        flex-grow: 0;
                    }
    
                    svg {
                        margin-bottom: -5px;
                    }
                }
            }
    
            .menu-list {
                border-bottom: 1px solid #B4B7B6;
                padding-bottom: 10px;
    
                .user-infomation {
                    padding: 8px 10px;
                    border: 1px solid transparent;
                    cursor: pointer;

                    &:hover {
                        background: #FFF4F4;
                        border-radius: 4px;
                    }
                    span{
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 17px;
                        
                        color: #202226;
                    }
    
                    
                }
            }
    
            .logout {
                display: flex;
                justify-content: flex-end;

                svg {
                    cursor: pointer;
                    background: #FFFFFF;
                    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
                    border-radius: 6px;
                    width: 40px;
                    height: 40px;
                    padding: 12px;
                }
            }
        }
    }
}


